package ims;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import ims.Any;



public class imsLangString extends Any{

 // Limited to 8 LangStrings per LangString(Type)
  public String[] string;
  public String[] lang;
  
  public imsLangString(String aString) {
	  string = new String[8];
	  lang   = new String[8];

      string[0] = aString;
      lang  [0] = null;
  }
    
  
  public imsLangString(String aString, String aLang) {
	  string = new String[8];
	  lang   = new String[8];

      string[0] = aString;
      lang  [0] = aLang;
  }
  
  public imsLangString(imsLangString[] aArray) {
	  string = new String[8];
	  lang   = new String[8];
  	  
  	  for(int i=0; i<aArray.length && i<8;  i++) {
  	    /* Making the assumption that the LangStrings passed in the array
  	     * are single LangStrings, so only their 0th element has anything
  	     * we could use in it.
  	     */
	  	string[i] = aArray[i].string[0];
   	  	lang  [i] = aArray[i].lang[0];

  	  }

  }
  
  public String imsWrite2XMLString() {
      StringBuffer sb = new StringBuffer();

      for(int i=0; i<string.length && string[i]!=null; i++) {
     
        sb.append("<LANGSTRING");
        if(lang[i] != null)
          sb.append(" LANG=\""+lang[i]+"\"");
 
	sb.append(">"+string[i]);
 	sb.append("</LANGSTRING>\n");
      }
      
      return sb.toString();
  }
}
