package ims;

import java.awt.*;
import java.awt.event.*;
import java.util.*;


//IMS LifeCycle Class

public class imsLifeCycle extends Any{
  
  public imsLangString version;  
  public imsLangString status;
  public imsContribute[] contribute;  
  
  public imsLifeCycle(imsLangString aVersion, imsContribute[] aContribute) {
    version = aVersion;    
    contribute = aContribute;
	
    status=null;
  }

  public imsLifeCycle(imsLangString aVersion, imsLangString aStatus, imsContribute[] aContribute) {
    version = aVersion;    
    contribute = aContribute;
    status = aStatus;
  }

  
  public String imsWrite2XMLString() {
    StringBuffer sb = new StringBuffer("<LIFECYCLE>\n");
     
    sb.append("<VERSION>"+version.imsWrite2XMLString()+"</VERSION>\n");

    if(status!=null){
      sb.append("<STATUS>"+status.imsWrite2XMLString()+"</STATUS>\n");
    }

    for(int i=0;i<contribute.length;i++)
      sb.append(contribute[i].imsWrite2XMLString());

    sb.append("</LIFECYCLE>");
    return sb.toString();
  }
  
}
